	SUBROUTINE INTEND
C
C	CALL AT END TO CLOSE FILES AND OTHER CLEANUP
C
	INCLUDE 'MAINSPC.FOR'
C
C
C	CLOSE INPUT FILES
C
	CALL INITIN(0)
C
C	DELETE TEMPORARY FILES, IF NEEDED.
C
	LT=LNBLNK(TMPUIC)
	IF (LT.EQ.0) THEN
		LT=2
		TMPUIC='.\'
	ENDIF
	IF (NPHOTK.GT.0.AND.(.NOT.VARYHV)) THEN
		IOB160=TMPUIC(1:LT)//'ABSQY.TMP'
		OPEN (UNIT=TMP1,FILE=IOB160,STATUS='UNKNOWN')
		CLOSE (UNIT=TMP1,STATUS='DELETE')
	ENDIF
C
	IF (OPT) THEN
		IOB160=TMPUIC(1:LT)//'OPTDAT0.TMP'
		OPEN (UNIT=TMP1,FILE=IOB160,STATUS='UNKNOWN')
		CLOSE (UNIT=TMP1,STATUS='DELETE')
C
		IOB160=TMPUIC(1:LT)//'OPTDAT1.TMP'
		OPEN (UNIT=TMP1,FILE=IOB160,STATUS='UNKNOWN')
		CLOSE (UNIT=TMP1,STATUS='DELETE')
C
		IOB160=TMPUIC(1:LT)//'OPTDAT2.TMP'
		OPEN (UNIT=TMP1,FILE=IOB160,STATUS='UNKNOWN')
		CLOSE (UNIT=TMP1,STATUS='DELETE')
C
		IOB160=TMPUIC(1:LT)//'INTOPT.TMP'
		OPEN (UNIT=TMP1,FILE=IOB160,STATUS='UNKNOWN')
		CLOSE (UNIT=TMP1,STATUS='DELETE')
C
		IOB160=TMPUIC(1:LT)//'INTOP2.TMP'
		OPEN (UNIT=TMP1,FILE=IOB160,STATUS='UNKNOWN')
		CLOSE (UNIT=TMP1,STATUS='DELETE')
	ENDIF
C	
C	CLOSE AND DELETE VAR COEF FILE, IF NEEDED
C
	IF (NVCO.GT.0) CLOSE (UNIT=TIMEU,STATUS='DELETE')
C
C	CLOSE OUTPUT FILE
C
	LF=LNBLNK(FILES(1:8))
	IF (INTOUT.OR.NTERR.NE.0.OR.OPT) THEN
		CLOSE (UNIT=OUT)
		WRITE (ICRT,*) 'File = ',FILES(1:LF),'.OUT created.'
	ELSE
		CLOSE (UNIT=OUT,STATUS='DELETE')
	ENDIF
C
C	REPORT WHETHER SUCCESSFUL IN STATUS.TMP.  IF MAXIMUM BEING
C	DETERMINED, PUT IT IN STATUS.TMP
C
	OPEN (UNIT=OUT,FILE='STATUS.TMP',STATUS='UNKNOWN')
    1	FORMAT (A)
	IF (NTERR.EQ.0) THEN
		IF (ABORT) THEN
			WRITE (OUT,1) 'ABORTED -- SOLVER PROBLEM (?)'
		ELSEIF (NMAXO.NE.0) THEN
			NMAXO=IABS(NMAXO)
			IF (AIRSHD) THEN
				WRITE (OUT,2111) NMAXO
 2111				FORMAT ('INT OK',I3,'              ',
     &				 'MAX              T(MAX)   LAST   ',
     &				 '         SUM             MAXMOL  ',
     &				 '         T(MAX)')
				DO 210 I=1,NMAXO
				IX=IMAXO(I)+N0
				IOBF16=NAME(IX)
				WRITE (OUT,211) IOBF16,CMAXO(I,1),
     &				 CMAXO(I,2),C(IX),CMAXO(I,3),
     &				 CMAXO(I,4),CMAXO(I,5)
  211				FORMAT ('MAX ',A16,1PE16.7,0PF10.2,
     &				 1P3E16.7,0PF10.2)
  210				CONTINUE
			ELSE
				WRITE (OUT,2112) NMAXO
 2112				FORMAT ('INT OK',I3,'             ',
     &				 ' MAX              T(MAX)   LAST ',
     &				 '           SUM')
				DO 2101 I=1,NMAXO
				IX=IMAXO(I)+N0
				IOBF16=NAME(IX)
				WRITE (OUT,211) IOBF16,CMAXO(I,1),
     &				 CMAXO(I,2),C(IX),CMAXO(I,3)
 2101				CONTINUE
			ENDIF
		ELSEIF (OPT) THEN
			CALL OPTEND
		ELSE
			WRITE (OUT,1) 'INT OK'
		ENDIF
	ELSE
		WRITE (OUT,1) 'INT INPUT ERROR'
	ENDIF
	CLOSE (UNIT=OUT)
	RETURN
	END
