C	SARSPEC.FTN
C
C	7/90 VERSION.  DMS KOH'S NOT IN SAROAD ASSIGNMENT FILE
C
C	SPECIFICATIONS FOR DETAILED MODEL SPECIES ASSIGNMENTS FOR
C	SAROAD CLASSES, READ IN FROM SAROAD.PRM
C
C	NSP	NUMBER OF SAROAD SPECIES
C
C	FOR EACH SAROAD SPECIE:
C		SAR	SAROAD NO.
C		IMIX	INDEX FOR FIRST OF MODEL SPECIE USED FOR THIS
C			SAROAD NO.  IF NEGATIVE, IT IS NON-ISOMERIC MIX
C		NMIX	INDEX FOR LAST OF MODEL SPECIE USED FOR THIS
C			SAROAD NO.
C		SARMW	MOLECULAR WEIGHT
C		SARNC	NUMBER OF CARBONS
C
C	FOR EACH LUMPED MODEL SPECIE (ISOMERIC ASSIGNMENTS):
C		SPCLAS	8-CHAR MODEL SPECIES NAME
C		LVL	MOLES MODEL SPECIE PER MOLE SAROAD SPECIE
C
C	FOR EACH MODEL SPECIES IN NON-ISOMERIC MIX ASSIGNENT
C
C		SPCLSM	MODEL SPECIES NAME
C		WLVL	MOLES MODEL SPECIES PER 1 GRAM MIXTURE
C		NCMIX	NO. CARBONS
C		MWMIX	MOLECULAR WT.
C
C
	PARAMETER (MAXSPE=1000)
	PARAMETER (MAXCLS=1000)
	PARAMETER (MAXCLM=100)
C
	INTEGER NSP
	INTEGER*4 SAR(MAXSPE)
	INTEGER NMIX(MAXSPE),IMIX(MAXSPE),SARNC(MAXSPE),NCMIX(MAXCLM)
	REAL SARMW(MAXSPE),MWMIX(MAXCLM)
	REAL LVL(MAXCLS),WLVL(MAXCLM)
	CHARACTER*8 SPCLAS(MAXCLS),SPCLSM(MAXCLM)
C
	COMMON /SARDAT/ SARMW,SARNC,WLVL,NCMIX,MWMIX,SAR,LVL,NSP,NMIX,
     &	 IMIX,MWI,NCI
	COMMON /SARCHR/ SPCLAS,SPCLSM
C
