      SUBROUTINE DATENO (DATCHR,IYRDY,IYR,IABSDY)
C
C     CONVERT NUNBERS OF DAYS SINCE JAN 1 OF YEAR OR SINCE 1/1/70.
C     INTO mm/dd/yy
C
C     INPUT  (IYRDY,IYR) OR IABSDY.   USE -1 FOR NOT APPLICABLE ONE
C        IYRDY:  DAY OF YEAR.  JAN 1 = 1.  (-1 IF DATE UNDECODEABLE)
C          IYR:  MUST BE SUPPLIED IF USE IYRDY TO TELL IF LEAP YR
C       IABSDY:  ABSOLUTE DAY (IF YEAR GIVEN).  JAN 1, 1970 = 1.
C             (0 IF NO YEAR GIVEN; -1 IF YEAR LT 1970 OR GT 2040.)
C
C	EXAMPLE:
C
C      CHARACTER*8 DATCHR
C    1 WRITE (6,*) 'ENTER JULIAN DAY AND YR: '
C      READ (5,*) JUL,IYR
C      IF (JUL.EQ.0) STOP
C      CALL DATENO(DATCHR,JUL,IYR,-1)
C      WRITE (6,*) DATCHR
C      WRITE (6,*) 'ENTER ABS DAY FROM 1/1/70: '
C      READ (5,*) IABSDY
C      CALL DATENO(DATCHR,-1,-1,IABSDY)
C      WRITE (6,*) DATCHR
C      GOTO 1
C      END
C
C
      INTEGER IABSDY,IYRDY,IABSD1,IYRD1
      CHARACTER*8 DATCHR
C
	IABSD1=IABSDY
	IYRD1=IYRDY
C
      IYR0=1970
      ICYCLE=MOD(IYR0,4)               !ICYCLE=2 FOR 1970
C --- julian date to yr mo day
      NYR=IYR
      IF (IYRD1.GT.0) GOTO 200

C --- abs days from 1/1/70
      NYR=IYR0
  100 ILEAP=MOD((NYR-IYR0)+ICYCLE,4)
      INYEAR=365
      IF (ILEAP.EQ.0) INYEAR=366
      JABSDY=IABSD1-INYEAR
      IF (JABSDY.LE.0) THEN
         IYRD1=IABSD1
         GOTO 200
      ENDIF
      NYR=NYR+1
      IABSD1=JABSDY
      GOTO 100
  200 IF (IYRD1.GT.366 .OR. IYRD1.LT.1) GOTO 300
      CALL JTODATE(IYRD1,NYR,NMO,NDAY)
      GOTO 400
C ERROR
  300 NMO=-1
      NDAY=-1
      NYR=-1
  400 WRITE (DATCHR,'(I2,''/'',I2,''/'',I2)') NMO,NDAY,NYR
      RETURN
      END
C
      SUBROUTINE JTODATE(JULIAN,NYR,NMO,NDAY)
      INTEGER DAYMO(0:11)/0,31,28,31,30,31,30,31,31,30,31,30/
      IF (MOD(NYR,4).EQ.0) DAYMO(2)=29
      JULD=JULIAN
      DO 100 I=0,11
        IF (JULD.LE.DAYMO(I)) GOTO 110
        JULD=JULD-DAYMO(I)
  100 CONTINUE
  110 NMO=I
      NDAY=JULD
      DAYMO(2)=28
      NYR=MOD(NYR,100)
      RETURN
      END
C-------------------------------------------------------------------
C        CHARACTER*3 MONTH(12,3)/'JAN','FEB','MAR','APR','MAY','JUN',
C     &                          'JUL','AUG','SEP','OCT','NOV','DEC',
C     &                          'jan','feb','mar','apr','may','jun',
C     &                          'jul','aug','sep','oct','nov','dec',
C     &                          'Jan','Feb','Mar','Apr','May','Jun',
C     &                          'Jul','Aug','Sep','Oct','Nov','Dec'/
C        INTEGER*2 NDAY(12)     /  31 ,  28 ,  31 ,  30 ,  31 ,  30 ,
C     &                            31 ,  31 ,  30 ,  31 ,  30 ,  31 /
C        INTEGER*2 CDAY(12)     /  31 ,  59 ,  90 , 120 , 151 , 181 ,
C     &                           212 , 243 , 273 , 304 , 334 , 365 /
