:       Sets the environment for SAPRC modeling programs
:       Use:
:               NEWENV      ... Adds the needed additional elements 
:                               to the present system path
:               NEWENV TEST ... Uses the minimal system path for
:                               testing the distribution
:
:       IMPORTANT! The first two commands need to be edited for
:       your system!!
:
:       Change following to root of the location of the distributed
:       files.  ("I:\TMP\SAPRC" was used for testing, but is not
:       suitable for most systems.)
@SET TMPENV=I:\SAPRC
:
:       Change the following if the location of the MinGW binaries
:       is something other than C:\MinGW\bin.  It can also be blank
:       (set to "") if this is already on the system path, but not
:       if the TEST option is used.
@SET TMPGF=C:\MinGW\bin
:
: ------------------------------------------------------------------
:       The remainder of this file should not need to be edited.
:
@IF "%1"=="TEST" goto testenv
@IF "%1"=="" goto newenv
:
@echo Unrecognized option.  "TEST" is the only allowed option.
@echo See contents of NEWENV.BAT and edit as needed.
@goto done
:
:testenv
@if "%TMPGF%"=="" goto badtest
PATH C:\WINDOWS\system32;C:\WINDOWS;%TMPGF%;%TMPENV%\PGMS
@goto done
:
:badtest
@echo The path for MinGW binaries needs to be specified if the TEST
@echo option is used.  Run without the TEST option or edit NEWENV.BAT
@goto done
:
:newenv
@if "%TMPGF%"=="" goto nogf
PATH %path%;%TMPGF%;%TMPENV%\PGMS
@goto done
:
:nogf
PATH %path%;%TMPENV%\PGMS
:
:done
@SET TMPPATH=
@SET TMPENV=
@SET TMPGF=
