       SUBROUTINE SAVERX
C
C      WRITE ONTO FILE PREPARED MODEL  (PC VERSION ONLY)
C
       INCLUDE 'PSPECS.FOR'
C
       CHARACTER*1 RXNSTR(80)
       LOGICAL NXTNEW
C
       PARAMETER (MAXAQY=1000)
       REAL WL(MAXAQY),ABSQY(MAXAQY)
C
       INTEGER INDVOL,INDARA
C      NOTE:  INDICES FOR VOLUME AND AREA ARE NO LONGER USED, BUT HAVE
C             BEEN LEFT IN THE MOD FILE FOR COMPATIBILITY WITH EARLIER
C             MODELS.
C
C	'MOD' FILE FORMAT INDICATOR
	CHARACTER*8 FORM,FORM2C,FORM3C,FORM3X,FORMFL
C
	DATA FORM   /'MV:4/89'/
	DATA FORMFL /'MV:3/01F'/
	DATA FORM2C /'V:10/94B'/
	DATA FORM3C /'V:10/94A'/
	DATA FORM3X /'V:6/95-X'/
C
	INDVOL=0
	INDARA=0
C
C      NOTE: DON'T SAVE DELETABLE SPECIES
       NS=NS-NDEL
C
C	CHECK VARIABLE COEF'S.  INTERNAL CHECKING PREVIOUSLY FAILED
C	SOMEWHERE
C
	IF (NCOEFV.GE.NCOC1) STOP 'INCREASE MAXCOV'
C
	IF (NOPRP) GOTO 1000
C
C      OPEN MODEL FILE
C
        IOB160=' '
C
	CALL FILNAM(I,IOB160,MODUIC,MODFIL,'.MOD ')
	OPEN (UNIT=UNIT1,FILE=IOB160,STATUS='UNKNOWN')
C
C      WRITE GENERAL PARMS
C
	I=0
	IF (FORM2) THEN
		IF (FORM3.EQ.1) THEN
			WRITE (UNIT1,300) FORM3C
		ELSEIF (FORM3.EQ.0) THEN
			WRITE (UNIT1,300) FORM2C
		ELSE
			WRITE (UNIT1,3001) FORM3X(1:7),FORM3
		ENDIF
		WRITE (UNIT1,301) TITLE,NS,NDY,NSC,NB,NDUM,NRXN,
     &	         NCOEFV,NCOC1,NCOC2,NPHOTK,LOCKBF,LOCIBF
		WRITE (UNIT1,302) TEMPR,TREF,NVTEMP,NVTCO
		WRITE (UNIT1,303) INDLIL,INDHV,INDTPR,INDM
	ELSE
		IF (FORM3.NE.0) THEN
			WRITE (UNIT1,300) FORMFL
		ELSE
			WRITE (UNIT1,300) FORM
		ENDIF
		WRITE (UNIT1,301) TITLE,NS,NDY,NSC,NB,NDUM,NRXN,
     &	         NCOEFV,NCOC1,NCOC2,NPHOTK,LOCKBF,LOCIBF
		WRITE (UNIT1,302) TEMPR,TREF,NC,NVTEMP,NVTCO
		WRITE (UNIT1,303) INDLIL,INDHV,INDDIL,INDTPR,
     &		 INDHT,INDARA,INDVOL,INDEF,INDER,INDVA,INDM
	ENDIF
  300	FORMAT(A8,' = MODEL FORMAT')
 3001	FORMAT(A7,I1,' = MODEL FORMAT')
  301	FORMAT (A80/12I6)
  302	FORMAT (2F10.3,3I6)
  303	FORMAT (11I6)
C
	WRITE (OUT,801) INDLIL,INDHV,INDDIL,INDTPR,INDHT,
     &	 INDEF,INDER,INDVA,INDM
  801	FORMAT (/' INDLIL=',I5,',  INDHV=',I5,', INDDIL=',I5,' INDTPR='
     &	 ,I5/'  INDHT=',I5,',  INDEF=',I5,
     &	 '  INDER=',I5,',  INDVA=',I5,',   INDM=',I5)
C
C      WRITE SPECIES NAMES. OR NAMES AND CHARACTERISTICS
C
	IF (FORM2) THEN
	       WRITE (UNIT1,'(A16,0PF7.2,F6.2,I3,1PE11.3)') (NAME(I),
     &  	MWT(I),CNO(I),NNO(I),CONC0(I),I=1,NA2)
	       IF (NSS.NE.0) WRITE (UNIT1,305) (NAME(I),I=NS1,NS)
	ELSE
		IF (NSC.GT.0) WRITE (UNIT1,304) (NAME(I),CONC0(I),I=1,NSC)
  304		FORMAT (A16,1PE14.6,2X,A16,E14.6)
		NB1=NSC+1
		WRITE (UNIT1,305) (NAME(I),I=NB1,NS)
  305		FORMAT (5A16)
	ENDIF
C
C      WRITE COEF'S
C
	IF (NCOEFV.GT.0) WRITE (UNIT1,306)(COEFNM(I),COEF(I),I=1,NCOEFV)
  306	FORMAT (3(A8,1PE14.6,4X))
	IF (NCOC2.GE.NCOC1) WRITE (UNIT1,307) (COEF(I),I=NCOC1,NCOC2)
  307	FORMAT (1P6E13.6)
	IF (NVTCO.GT.0) THEN
		WRITE (UNIT1,307) (VTEMP(I),I=1,NVTEMP)
		WRITE (UNIT1,309) (IVTCO(I),I=1,NVTCO)
  309		FORMAT (16I5)
		DO 86 I=1,NVTCO
   86		WRITE (UNIT1,307) (VTCO(I,IT),IT=1,NVTEMP)
       ENDIF
C
C      WRITE ABSQY'S
C
 1000	IF (NPHOTK.GT.0) THEN
C
	WRITE (OUT,81) NPHOTK
   81	FORMAT (/1X,I2,' TYPES OF PHOTOLYSIS REACTIONS:')
C
	DO 80 IPHOT=1,NPHOTK
	IF (YESPRP) WRITE (UNIT1,310) IPHOTR(IPHOT),PHOTNM(IPHOT)
  310	FORMAT (I5,2X,A8)
C
	IOBF16(1:8)=PHOTNM(IPHOT)
	IOBF16(9:9)=' '
        IOB160=' '
        IF (PFTYPE(IPHOT)) THEN
		IF (SAVPHF) THEN
	                CALL FILNAM (I,IOB160,TMPUIC,IOBF16,'.PHF ')
			WRITE (ICRT,*) 'File = ',
     &			 IOB160(1:LNBLNK(IOB160)),' created.'
		ELSE
	                CALL FILNAM (I,IOB160,TMPUIC,IOBF16,'.PTM ')
		ENDIF
    	        OPEN (UNIT=UNIT2,FILE=IOB160,STATUS='OLD',ERR=69)
        ELSE
 	        CALL FILNAM (I,IOB160,PHFUIC,IOBF16,'.PHF ')
    	        OPEN (UNIT=UNIT2,FILE=IOB160,STATUS='OLD',ERR=69)
        ENDIF
	READ (UNIT2,50,END=70,ERR=70) IOB160
   50	FORMAT (A80)
	WRITE (OUT,82) PHOTNM(IPHOT),IOB160
   82	FORMAT (/1X,5X,'FILE = ',A8,6X,'LABEL =',A80)
	N=0
	F=1.0
   52	READ (UNIT2,50,ERR=70,END=75) IOB160
	IF (IOB160(1:1).EQ.'!') GOTO 52
	IF (IOB160(1:8).EQ.'        ') GOTO 75
	IF (IOB160(1:2).EQ.'FA') GOTO 54
C
	N=N+1
	IF (N.GT.MAXAQY) STOP 'INCREASE MAXAQY IN SAVERX'
	CALL ALIN16 (3,IOB160)
	READ (IOB160,53,ERR=73) WL(N),ABSQY(N),X
   53	FORMAT (3G16.0)
	IF (IOB160(41:48).EQ.'        ') X=1.0
	ABSQY(N)=ABSQY(N)*X*F
	GOTO 52
C
  54	CALL ALIN16 (2,IOB160)

	READ (IOB160(17:80),53,ERR=73) F
	IF (F.LE.0.0) GOTO 73
	GOTO 52
C
   69	WRITE (OUT,71) PHOTNM(IPHOT)
   71	FORMAT (/' ERROR: FILE = ',A8,' COULD NOT BE OPENED.')
	GOTO 72
C
   70	N=N+1
	WRITE (OUT,701) N
  701	FORMAT (' ',5X,'ERROR IN READING FILE, LINE NO. =',I4)
	GOTO 72
C
   73	WRITE (OUT,702) IOB160(1:16),IOB160(17:32),IOB160(33:48)
  702	FORMAT (' ',5X,'ERROR IN DECODING FILE INPUT. INPUT = ''',
     &	 A16,''', ''',A16,''', ''',A16,'''')
C
   72	WRITE (ICRT,74) PHOTNM(IPHOT)
   74	FORMAT (' ERROR IN READING PHOTOLYIS FILE = ''',A8,'''')
	NERR=NERR+1
	N=0
	WL(1)=0.0
	ABSQY(1)=0.0
   75	IF (PFTYPE(IPHOT).AND.(.NOT.SAVPHF)) THEN
                CLOSE (UNIT=UNIT2,STATUS='DELETE')
C                                                  ! DELETE IF TEMP FILE
        ELSE
                CLOSE (UNIT=UNIT2)
        ENDIF
C
	WRITE (OUT,83) (WL(I),ABSQY(I),I=1,N)
   83	FORMAT (' ',20X,'(WL,ABS*QY) =',5('  (',0PF5.3,1PE10.3,')',:)/
     &	 (' ',33X,5('  (',0PF5.3,1PE10.3,')',:)))
	IF (YESPRP) THEN
		WRITE (UNIT1,309) N
		WRITE (UNIT1,307) (WL(I),ABSQY(I),I=1,N)
	ENDIF
  80	CONTINUE
C
       ENDIF
C
	IF (NOPRP) GOTO 2000
C
C	WRITE KINETIC  PARMS BUFFER
C
	WRITE (UNIT1,307) (KPBUF(I),I=1,LOCKBF)
	WRITE (UNIT1,309) (LKBUF(I),I=1,NRXN)
	WRITE (UNIT1,309) (RXTYP(I),I=1,NRXN)
	IF (LOCIBF.GT.0) WRITE (UNIT1,309) (IKPBUF(I),I=1,LOCIBF)
C
C	WRITE REACTION LABELS SEPARATELY FOR FORM2
C
	IF (FORM2) WRITE (UNIT1,'(10A8)') (RXNLBL(I),I=1,NRXN)
C
C      WRITE REACTIONS.  REWIND TEMPORARY FILE UNIT WITH REACTION
C      LISTS
C
	IOB160=' '
	CALL FILNAM (NLEN,IOB160,TMPUIC,'PREP.TMP ',' ')
	OPEN (UNIT=UNIT3,FILE=IOB160,STATUS='OLD',FORM='UNFORMATTED')
C
	READ (UNIT3) NXTNEW,L,(BYT160(I),I=1,L)
C
	DO 100 IRXN=1,NRXN
	READ (UNIT3) NXTNEW,L2,(RXNSTR(I),I=1,L2)
	IF (FORM2) THEN
		WRITE (UNIT1,3161) NXTNEW,IOB160(1:L)
 3161		FORMAT (L1,1X,A)
	ELSE
		IF (RXTYP(IRXN).EQ.3) THEN
			RKI=KPBUF(LKBUF(IRXN))
		ELSE
			RKI=0.0
		ENDIF
		WRITE (UNIT1,315) RXNLBL(IRXN),RKI,L,NXTNEW,
     &		 (BYT160(I),I=1,L)
  315		FORMAT (A4,1PE14.6,I5,2X,L1,/78A1)
	ENDIF
  90	L=L2
C   	                            !TOP OF A LOOP
	DO 91 I=1,L
  91	BYT160(I)=RXNSTR(I)
	IF (.NOT.NXTNEW) THEN
C	                            !CONTINUATION OF REACTION
		READ (UNIT3) NXTNEW,L2,(RXNSTR(I),I=1,L2)
		IF (FORM2) THEN
			WRITE (UNIT1,3161) NXTNEW,IOB160(1:L)
		ELSE
			WRITE (UNIT1,316) L,NXTNEW,(BYT160(I),I=1,L)
  316			FORMAT (2X,I5,2X,L1,/78A1)
		ENDIF
		GOTO 90
C		                       !LOOP UNTIL HAVE FIRST LINE OF NEXT RXN
	ENDIF
  100	CONTINUE
C
       CLOSE (UNIT=UNIT3,STATUS='DELETE')
C
C	DONE
C
	CLOSE (UNIT=UNIT1)
C
C	SUMMARIZE LENGTH OF MODEL
C
 2000	NCOCF=NCOC2-NCOC1+1
	WRITE (OUT,1003) TEMPR,NRXN,NS,NCOEFV,NVTCO,NCOCF,LOCKBF
     &    ,LOCIBF,DIFNUM
 1003	FORMAT (/' DEFAULT TEMPERATURE =',F8.2/' NO. REACTIONS =',
     &	 I5,/' NO. SPECIES =',I5/' NO. VARIABLE COEFFICIENTS =',I5
     &   /' NO. TEMPERATURE VARYING COEFFICIENTS =',I5
     &   /' NO. CONSTANT COEFFICIENTS =',I5
     &	 /' KINETIC PARM BUFFER LENGTH =',I5
     &	 /' KINETIC PARM INDEX BUFFER LENGTH =',I5
     &	 /' DIFFUN SUBROUTINES CREATED = ',I3)
	IF (YESPRP) THEN
		WRITE (OUT,1005) NC, NPRODS(NRXN+1)-1, MODFIL
 1005		FORMAT (' CODE LENGTH =',I5/
     & 		 ' PRODUCT ARRAY LENGTH =',I5/' '/' MODEL = ''',
     &		  A16,''' STORED.')
	ELSE
		WRITE (OUT,1006) MODFIL
 1006		FORMAT (' MODEL = ''',A16,''' NOT STORED.')
	ENDIF
	RETURN
	END
