	FUNCTION YINTERP (X,X1,Y1,X2,Y2)
C
C	FINDS Y FOR X INTERPOLATING BETWEEN (X1,Y1) AND (X2,Y2)
C	USES MINIMUM OR MAXIMUM Y VALUES IF OUT OF RANGE
C
	IF (X1-X2) 2,1,3
C
C	X1=X2
C
    1	YINTERP=0.5*(Y1+Y2)
	RETURN
C
C	X1<X2
C
    2	IF (X.LT.X1) THEN
		YINTERP=Y1
	ELSEIF (X.GT.X2) THEN
		YINTERP=Y2
	ELSE
		GOTO 10
	ENDIF
	RETURN
C
C	X1>X2
C
   3	IF (X.GT.X1) THEN
		YINTERP=Y1
	ELSEIF (X.LT.X2) THEN
		YINTERP=Y2
	ELSE
		GOTO 10
	ENDIF
	RETURN
C
C	INTERPOLATE
C
   10	D=X2-X1
	YINTERP=(Y2*(X-X1)/D)+(Y1*(X2-X)/D)
	RETURN
	END
